//Created by MyEclipse Struts
// XSL source (default): platform:/plugin/com.genuitec.eclipse.cross.easystruts.eclipse_3.7.101/xslt/JavaClass.xsl

package eclipse.kickstart.struts.action;

import java.io.IOException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;

/** 
 * MyEclipse Struts
 * Creation date: 06-07-2004
 * 
 * XDoclet definition:
 * @struts:action path="/courseSearch" name="courseSearchForm" 
 *                input="/courseSearch.jsp" validate="true"
 * @struts:action-forward name="/results.jsp" path="/results.jsp"
 */
public class CourseSearchAction extends Action {

    // --------------------------------------------------------- Instance
    // Variables

    // --------------------------------------------------------- Methods

    /**
     * Method execute
     * 
     * @param mapping
     * @param form
     * @param request
     * @param response
     * @return ActionForward
     */
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        DynaActionForm customerSearchForm = (DynaActionForm) form;

        String courseNumber = (String) customerSearchForm.get("courseNumber");
        ActionForward forward = null;
        if (courseNumber.equalsIgnoreCase("TT490")) {
            DataSource ds = getDataSource(request);
            Connection con = ds.getConnection();
            Statement stmt = null;
            ResultSet rs = null;
            try {
                stmt = con.createStatement();
                rs = stmt
                        .executeQuery("select * from customer where phone_number='1-222-333-4444'");
                rs.next();
                String name = rs.getString("name");
                customerSearchForm.set("instructor", name);
            } catch (SQLException e) {
                e.printStackTrace();
            } finally {
                con.close();
            }
            forward = mapping.findForward("success");
        } else if (courseNumber.equalsIgnoreCase("foobar")) {
            throw new IOException("Read/write error!");
        } else {
            forward = mapping.findForward("unknown");
        }

        return forward;
    }

}