/*
 * Created on Jun 7, 2004
 *
 */
package eclipse.kickstart.struts.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.DynaActionForm;


/**
 * @author carlos
 *
 */
public class CourseSearchForm extends DynaActionForm {

    /* (non-Javadoc)
     * @see org.apache.struts.action.ActionForm#validate(org.apache.struts.action.ActionMapping, javax.servlet.http.HttpServletRequest)
     */
    public ActionErrors validate(ActionMapping arg0, HttpServletRequest arg1) {
        ActionErrors errors = new ActionErrors();
        
        String field = (String) get("instructor"); 
        if (field.trim().length() == 0) {
            errors.add("instructor", new ActionMessage("instructor.error"));
        }

        field = (String) get("courseNumber");
        if (field.trim().length() == 0) {
            errors.add("courseNumber", new ActionMessage("courseNumber.error"));
        }
        
        field = (String) get("courseName");
        if (field.trim().length() == 0) {
            errors.add("courseName", new ActionMessage("name.error"));
        }
        
        return errors;
    }
}
