/**
 * @(#)CustomerSearchService.java 
 *
 * Copyright (c) 2004 EinTech, Inc. All Rights Reserved.
 *
 * EinTech, Inc. MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
 * A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. EinTech, Inc. SHALL
 * NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF
 * USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * But, what the hey, enjoy it anyway...!  :)
 */
package kickstart.j2ee.servlet;

import java.rmi.RemoteException;
import java.util.Hashtable;

import javax.ejb.FinderException;
import javax.naming.NamingException;

import eclipse.kickstart.interfaces.CustomerBean;
import eclipse.kickstart.interfaces.CustomerBeanUtil;

/**
 * @author carlos
 * 
 */
public class CustomerSearchService {

    /**
     * @param form
     */
    public Hashtable searchUsing(String phoneNumber) {
        Hashtable result = new Hashtable(2);

        //        result.put("name", "Thomas Anderson");
        //        result.put("city", "Chicago");

        try {
            CustomerBean customer =
                CustomerBeanUtil.getHome().findByPhoneNumber(phoneNumber);
            result.put("name", customer.getName());
            result.put("street", customer.getStreet());
            result.put("city", customer.getCity());
            result.put("state", customer.getState());
            result.put("zipcode", customer.getZipcode());
        } catch (RemoteException e) {
            e.printStackTrace();
        } catch (FinderException e) {
            e.printStackTrace();
        } catch (NamingException e) {
            e.printStackTrace();
        }
        return result;
    }

}
